Status: New Start date: 2023-08-04

Priority: Normal Due date:

Assignee: CD LC 陶洪普 % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Description

参考华为官方文档

https://developer.huawei.com/consumer/cn/doc/development/HiCar-Guides/bluetooth-0000001193969601

https://developer.huawei.com/consumer/cn/doc/development/HiCar-Guides/wifi-0000001147929890

History

#1 - 2023-08-16 18:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303476 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tuyu0702@thundersoft.com

LC:HiCar: Revert LC:BT: Don't pairing if the remote class of divice is not supportedThis reverts commit 2e5b77973f09d12630a211403405d5fde175baa7.Reason for

revert: <For HiCar pairing>TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: Ibd60f3869cf1b5ec4cab6f810df870aae607217c

#2 - 2023-08-16 18:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302899 general/platform/vendor/qcom-opens

ource/system/bt

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Disable support for local privacy of BluetoothHiCar performs service discovery through BLE broadcast, while the HiCarmobile phone uses the classic

Bluetooth BR address for Bluetooth pairing and establishes a BR link during the connection process.Generally, the address of BLE broadcast is a random MAC

address.In order to meet the needs of HiCar,the car device needs to carry the BR address in the BLE broadcast.TC-RID: 1201-0208001IssueID:

TS-R-DF-119143Change-Id: I8425997003037e38b7390daf543501e182deeabd

#3 - 2023-08-16 18:14 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

303460 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Set default wifi country code to CNSince the current platform cannot automatically obtain the country,the default wifi country code is set to CN so that

the HiCar applicationcan open the softap.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: I3e2271238060dd75e854851bf90a235f319110ef

#4 - 2023-08-16 18:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303050 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Add broadcast for ap station changeIn the HiCar wireless connection, the car machine needs to be usedas an AP hotspot. During this process, the car

machine needs to addcorresponding broadcasts for the AP hotspot to notify the upper-levelcar machine application that a device is connected to the hotspot

andthat a device is disconnected.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: I97c157dbf8e969cd92ae0884b019b0c86e9fe4dd

#5 - 2023-08-16 18:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303052 general/platform/packages/modules/

Wifi

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Add aware for wifi network state change in Wifi moduleIn the HiCar wireless connection, the car machine needs to be usedas an AP hotspot. During

this process, the car machine needs to addcorresponding broadcasts for the AP hotspot to notify the upper-levelcar machine application that a device is connected

to the hotspot andthat a device is disconnected.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: I6d7f708ae71cdd245da497c7333c8bf6aa845900

#6 - 2023-09-26 20:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
315561 general/platform/vendor/qcom-opens

ource/system/bt

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Fix HiCar RFCOMM channel find issueFor some Huawei phones, it may include the RFCOMM channelin Attributelist2 of the SDP response.When

DUT searches for an RFCOMM channel from the SDP response,it first uses Huawei's vendor UUID (0xfe35) to search for the Attribute list.If Attributelist1

contains 0xfe35, it will be returned.The bt stack will only search for RFCOMM channels in Attributelist1.Of course not.This patch will compare the vendor UUID

and UUID lengths at the same timeto ensure that the correct list can be returned.TC-RID: 1201-0400102IssueID: TS-R-DF-119143, VCH-109Change-Id:

I1d7f289c59ab8fdb82a559192ba837bd34be2f4e

#7 - 2023-09-26 20:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

314953 general/platform/vendor/qcom-opens

ource/system/bt

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xin.yang_a@thundersoft.com

LC:BT:Use the third to last SDP when overflow occursWhen repeatedly operating hicar during the first connection process,SDP creation reaches the maximum

number, and there may be situationswhere the connection is disconnected but not released.Use the third to last (workaround solution)TC-RID:

1201-0400102IssueID: TS-R-DF-119143, VCH-78Change-Id: If0b95befea5d2476908b89adb268b55c502edbcd

#8 - 2023-09-26 20:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

316199 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Automatically connect to HiCar trusted deviceWhen the phone is connected to the car's HiCar,it automatically connects to the phone's

Bluetooth.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id: I008cd4b15be2561d0edf893a601c5e00b8b433e1

#9 - 2023-09-26 20:31 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

316220 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Set default BT A2DP role to sinkSet the default Bluetooth A2DP role to Sink, HFP to client.TC-RID: 1201-0208001IssueID: TS-R-DF-119143,

VCH-14Change-Id: If4004dccabf8ef028ef118c49e2ff4f20bb52d3d

#10 - 2023-10-08 17:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

316806 general/platform/vendor/qcom-opens

ource/bluetooth-commonsys-intf

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Set default BT HFP to clientSet default BT HFP to client, and avrcp to target.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id:

I2cfb4ca00d09f712400194eded596c812dbc8c71

#11 - 2023-10-08 17:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

316765 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Auto connect HFP ClientAuto connect HFP Client.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-109Change-Id:

I958d07ea511585acbeb37e0278ec3a079b991b72

#12 - 2023-10-16 17:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

318469 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

Revert LC:HiCar: Auto connect HFP ClientThis reverts commit 2faad1362f399a56c91bbce50e2f84e9c4b00d30.Reason for revert: For HiCar connect/reconnect

when bt is A2dp source.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-109Change-Id: I058bd335fa87f80fafdf23431e21a16bad6c1c8a

#13 - 2023-10-16 17:02 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

318470 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

Revert LC:HiCar: Set default BT A2DP role to sinkThis reverts commit a4cd979d0da10592df3d684d20ea0a05fc24174d.Reason for revert: For HiCar

connect/reconnect when bt is A2dp source.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id:

I6c03763934181ddc9ae7af5a8e788b74a3df66dc

#14 - 2023-10-16 17:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

318471 general/platform/vendor/qcom-opens

ource/bluetooth-commonsys-intf

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

Revert LC:HiCar: Set default BT HFP to clientThis reverts commit e3ff1b6fa3f343a13e8935c509e0758b44a33753.Reason for revert: For HiCar connect/reconnect

when bt is A2dp source.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id: Ie0ee419bc9315a737ef48aadbdb059d22b2cb47f

#15 - 2023-10-25 09:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

321678 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

Revert LC:HiCar: Auto connect PANThis reverts commit 8c1a69ee37aae94c915f23d5ef1781aa65138931.Reason for revert: HiCar reconnect plan changed, don't

need.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: I7d40cf0732628a5e00cb367d6b731b19a9e0da15

#16 - 2023-10-25 19:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

322626 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
LC:HiCar: Revert LC:BT: Don't pairing if the remote class of divice is not supportedThis reverts commit 2e5b77973f09d12630a211403405d5fde175baa7.Reason for

revert: <For HiCar pairing>TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: Ibd60f3869cf1b5ec4cab6f810df870aae607217c(cherry picked from

commit 7b894b6cd4c6adfb2cf1c82ecb8df6b3c7750468)

#17 - 2023-10-25 19:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

322628 general/platform/vendor/qcom-opens

ource/system/bt

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Disable support for local privacy of BluetoothHiCar performs service discovery through BLE broadcast, while the HiCarmobile phone uses the classic

Bluetooth BR address for Bluetooth pairing and establishes a BR link during the connection process.Generally, the address of BLE broadcast is a random MAC

address.In order to meet the needs of HiCar,the car device needs to carry the BR address in the BLE broadcast.TC-RID: 1201-0208001IssueID:

TS-R-DF-119143Change-Id: I8425997003037e38b7390daf543501e182deeabd(cherry picked from commit b7488b4c434b7ce730c33f79c988576c35daaec5)

#18 - 2023-10-25 19:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

322629 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Set default wifi country code to CNSince the current platform cannot automatically obtain the country,the default wifi country code is set to CN so that

the HiCar applicationcan open the softap.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: I3e2271238060dd75e854851bf90a235f319110ef(cherry

picked from commit d987144b91e466b2624f7c00a8208bf0cd57f99a)

#19 - 2023-10-25 19:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

322630 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
LC:HiCar: Add broadcast for ap station changeIn the HiCar wireless connection, the car machine needs to be usedas an AP hotspot. During this process, the car

machine needs to addcorresponding broadcasts for the AP hotspot to notify the upper-levelcar machine application that a device is connected to the hotspot

andthat a device is disconnected.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: I97c157dbf8e969cd92ae0884b019b0c86e9fe4dd(cherry picked

from commit f9e72780c600240610eeb921ec65921d4bbd3dc6)

#20 - 2023-10-25 19:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

322631 general/platform/packages/modules/

Wifi

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Add aware for wifi network state change in Wifi moduleIn the HiCar wireless connection, the car machine needs to be usedas an AP hotspot. During

this process, the car machine needs to addcorresponding broadcasts for the AP hotspot to notify the upper-levelcar machine application that a device is connected

to the hotspot andthat a device is disconnected.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id:

I6d7f708ae71cdd245da497c7333c8bf6aa845900(cherry picked from commit 819bb2ba7ceec313a2ae86a966e06cd7fddffd2c)

#21 - 2023-10-27 01:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323264 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Auto connect HFP ClientAuto connect HFP Client.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-109Change-Id:

I958d07ea511585acbeb37e0278ec3a079b991b72(cherry picked from commit 2faad1362f399a56c91bbce50e2f84e9c4b00d30)

#22 - 2023-10-27 01:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323265 general/platform/vendor/qcom-opens

ource/bluetooth-commonsys-intf

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Set default BT HFP to clientSet default BT HFP to client, and avrcp to target.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id:

I2cfb4ca00d09f712400194eded596c812dbc8c71(cherry picked from commit e3ff1b6fa3f343a13e8935c509e0758b44a33753)
#23 - 2023-10-27 01:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323267 general/platform/vendor/qcom-opens

ource/system/bt

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:BT:Use the third to last SDP when overflow occursWhen repeatedly operating hicar during the first connection process,SDP creation reaches the maximum

number, and there may be situationswhere the connection is disconnected but not released.Use the third to last (workaround solution)TC-RID:

1201-0400102IssueID: TS-R-DF-119143, VCH-78Change-Id: If0b95befea5d2476908b89adb268b55c502edbcd(cherry picked from commit

f8218f49c8565ebd2f7167ccd7644bb41c7aba79)

#24 - 2023-10-27 01:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323268 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Automatically connect to HiCar trusted deviceWhen the phone is connected to the car's HiCar,it automatically connects to the phone's

Bluetooth.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id: I008cd4b15be2561d0edf893a601c5e00b8b433e1(cherry picked from commit

647ade8d262b4193a24a56ffe3df1d20d7428ca6)

#25 - 2023-10-27 01:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323269 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Set default BT A2DP role to sinkSet the default Bluetooth A2DP role to Sink, HFP to client.TC-RID: 1201-0208001IssueID: TS-R-DF-119143,

VCH-14Change-Id: If4004dccabf8ef028ef118c49e2ff4f20bb52d3d(cherry picked from commit a4cd979d0da10592df3d684d20ea0a05fc24174d)

#26 - 2023-10-27 01:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
323270 general/platform/vendor/qcom-opens

ource/system/bt

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Fix HiCar RFCOMM channel find issueFor some Huawei phones, it may include the RFCOMM channelin Attributelist2 of the SDP response.When

DUT searches for an RFCOMM channel from the SDP response,it first uses Huawei's vendor UUID (0xfe35) to search for the Attribute list.If Attributelist1

contains 0xfe35, it will be returned.The bt stack will only search for RFCOMM channels in Attributelist1.Of course not.This patch will compare the vendor UUID

and UUID lengths at the same timeto ensure that the correct list can be returned.TC-RID: 1201-0400102IssueID: TS-R-DF-119143, VCH-109Change-Id:

I1d7f289c59ab8fdb82a559192ba837bd34be2f4e(cherry picked from commit fb21bcfe5db5dffe465328384b2f083a923f5b9d)

#27 - 2023-10-27 01:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323274 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert LC:HiCar: Auto connect HFP ClientThis reverts commit 2faad1362f399a56c91bbce50e2f84e9c4b00d30.Reason for revert: For HiCar connect/reconnect

when bt is A2dp source.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-109Change-Id: I058bd335fa87f80fafdf23431e21a16bad6c1c8a(cherry picked

from commit 9cd3fb095a80c6616341b3389bfb459b3448ebe7)

#28 - 2023-10-27 01:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323275 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert LC:HiCar: Set default BT A2DP role to sinkThis reverts commit a4cd979d0da10592df3d684d20ea0a05fc24174d.Reason for revert: For HiCar

connect/reconnect when bt is A2dp source.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id:

I6c03763934181ddc9ae7af5a8e788b74a3df66dc(cherry picked from commit 0e09a0246591a843c35eaee7ee4647b83d8336c4)
#29 - 2023-10-27 01:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323277 general/platform/vendor/qcom-opens

ource/bluetooth-commonsys-intf

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert LC:HiCar: Set default BT HFP to clientThis reverts commit e3ff1b6fa3f343a13e8935c509e0758b44a33753.Reason for revert: For HiCar connect/reconnect

when bt is A2dp source.TC-RID: 1201-0208001IssueID: TS-R-DF-119143, VCH-14Change-Id: Ie0ee419bc9315a737ef48aadbdb059d22b2cb47f(cherry picked

from commit 32085b37dc7a1e4c4db7d1acfa47190548d5cb9a)

#30 - 2023-10-27 02:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323332 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert LC:HiCar: Auto connect PANThis reverts commit 8c1a69ee37aae94c915f23d5ef1781aa65138931.Reason for revert: HiCar reconnect plan changed, don't

need.TC-RID: 1201-0208001IssueID: TS-R-DF-119143Change-Id: I7d40cf0732628a5e00cb367d6b731b19a9e0da15(cherry picked from commit

30d9007b020a843eeed1488cf93b090583d6e5ba)
